Return a client
GET/v2/modules/:module/setups/:setupId/clients/:clientId
Retrieves the full configuration of the currently active snapshot of the specified OAuth client. The response includes all client properties such as redirect URIs, allowed grant types, token lifetimes, and the current active-state metadata.
Request
Path Parameters
Responses
- 200
- 404
The full configuration of the currently active client snapshot
- application/json
- Schema
- Example (from schema)
Schema
- Array [
- ]
- Array [
- Array [
- ]
- ]
metadata object[]
jwks object
keys object[]
keyStore object
provider object
algorithm object
Possible values: [REQUIRED, RECOMMENDED, OPTIONAL]
Possible values: [sign, verify, encrypt, decrypt, wrapKey, unwrapKey, deriveKey, deriveBits]
keyUse object
keyRevocation object
reason object
parsedX509CertChain object[]
subjectDN object
issuerDN object
issuerX500Principal object
subjectX500Principal object
publicKey object
requiredParams object
keyType object
Possible values: [REQUIRED, RECOMMENDED, OPTIONAL]
additionalMembers object
Possible values: [RS256, RS384, RS512, ES256, ES256K, ES384, ES512]
Possible values: [RSA1_5, RSA-OAEP, RSA-OAEP-256, RSA-OAEP-384, RSA-OAEP-512, ECDH-ES, ECDH-ES+A128KW, ECDH-ES+A192KW, ECDH-ES+A256KW, none]
Possible values: [A128CBC-HS256, A192CBC-HS384, A256CBC-HS512, A128GCM, A192GCM, A256GCM, none]
{
"redirect_uris": [
"string"
],
"grant_types": [
"string"
],
"scopes": [
"string"
],
"response_types": [
"string"
],
"contacts": [
"string"
],
"metadata": [
{
"name": "string",
"value": "string",
"locale": "string"
}
],
"jwks": {
"keys": [
{
"keyStore": {
"type": "string",
"provider": {}
},
"private": true,
"algorithm": {
"name": "string",
"requirement": "REQUIRED"
},
"x509CertSHA256Thumbprint": {},
"keyOperations": [
"sign"
],
"keyUse": {
"value": "string"
},
"keyRevocation": {
"reason": {
"value": "string"
},
"revocationTime": "2024-07-29T15:51:28.071Z"
},
"x509CertChain": [
{}
],
"x509CertURL": "string",
"x509CertThumbprint": {},
"parsedX509CertChain": [
{
"signature": [
"string"
],
"basicConstraints": 0,
"version": 0,
"subjectAlternativeNames": [
[
{}
]
],
"sigAlgParams": [
"string"
],
"serialNumber": 0,
"notBefore": "2024-07-29T15:51:28.071Z",
"notAfter": "2024-07-29T15:51:28.071Z",
"extendedKeyUsage": [
"string"
],
"subjectDN": {
"name": "string"
},
"issuerDN": {
"name": "string"
},
"tbscertificate": [
"string"
],
"sigAlgOID": "string",
"issuerUniqueID": [
true
],
"subjectUniqueID": [
true
],
"issuerAlternativeNames": [
[
{}
]
],
"sigAlgName": "string",
"keyUsage": [
true
],
"issuerX500Principal": {
"name": "string",
"encoded": [
"string"
]
},
"subjectX500Principal": {
"name": "string",
"encoded": [
"string"
]
},
"nonCriticalExtensionOIDs": [
"string"
],
"criticalExtensionOIDs": [
"string"
],
"type": "string",
"encoded": [
"string"
],
"publicKey": {
"params": {},
"encoded": [
"string"
],
"format": "string",
"algorithm": "string"
}
}
],
"notBeforeTime": "2024-07-29T15:51:28.071Z",
"issueTime": "2024-07-29T15:51:28.071Z",
"requiredParams": {},
"keyType": {
"value": "string",
"requirement": "REQUIRED"
},
"keyID": "string",
"expirationTime": "2024-07-29T15:51:28.071Z"
}
],
"empty": true,
"additionalMembers": {}
},
"name": "string",
"owner": "string",
"comment": "string",
"notSentGrantType": true,
"valid_from": "2024-07-29T15:51:28.071Z",
"client_id": "string",
"client_secret": "string",
"client_uri": "string",
"confidentiality_type": "string",
"pkce_mode": "string",
"force_reauthentication": true,
"access_token_ttl": 0,
"refresh_token_ttl": 0,
"id_token_ttl": 0,
"persisted_consent_ttl": 0,
"jwks_uri": "string",
"logo_uri": "string",
"tos_uri": "string",
"policy_uri": "string",
"token_endpoint_auth_method": "string",
"require_pushed_authorization_requests": true,
"id_token_signed_response_alg": "RS256",
"id_token_encrypted_response_alg": "RSA1_5",
"id_token_encrypted_response_enc": "A128CBC-HS256"
}
No client exists with the specified ID in this setup